### File

`packages/components/layout/eui-app-v2/eui-app-toolbar/eui-app-toolbar-mega-menu.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
selector | `eui-app-toolbar-mega-menu`
imports | `EUI_ICON` `EUI_BADGE` `RouterLink` `RouterLinkActive` `JsonPipe` `KeyValuePipe` `NgTemplateOutlet`
templateUrl | `./eui-app-toolbar-mega-menu.html`
styleUrl | `./eui-app-toolbar-mega-menu.scss`

### Index

###### Properties

- role
- string

###### Methods

- closeMenu
- groupByColIdPerParent
- openMenu

###### Inputs

- items

###### HostBindings

- attr.role
- class

### Constructor

`constructor()`

### Inputs

items
Type : `Items[]`

### HostBindings

attr.role
Type : `string`
Default value : `'nav'`

class
Type : `string`
Default value : `'eui-app-toolbar-mega-menu'`

### Methods

closeMenu
`closeMenu()`
Returns : `void`

groupByColIdPerParent
`groupByColIdPerParent(items: Items[])`

Parameters :

Name | Type | Optional
items | `Items[]` | No

Returns : `literal type`

openMenu
`openMenu(menuIndex: number)`

Parameters :

Name | Type | Optional
menuIndex | `number` | No

Returns : `void`

### Properties

role
Type : `string`
Default value : `'nav'`
Decorators : `@HostBinding('attr.role')`

string
Type : `string`
Default value : `'eui-app-toolbar-mega-menu'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""